<H2>X</H2>
<UL>
<LI><A HREF="http://cyber.dabamos.de/unix/x11/">Cool, but obscure X11 tools</A></LI>
<LI><A HREF="https://wiki.archlinux.org/title/Xorg">Xorg</A> (Arch Wiki)</LI>
</UL>
<P>
X is a graphical windowing system that can be used on Linux, FreeBSD, OpenBSD, NetBSD, and some proprietary operating systems as well.
X is not the only windowing system; <CODE>twin(1)</CODE> exists for windowed multitasking within a framebuffer and Wayland is another windowing system intended to replace X.
</P>
<P>
Some Linux software distributions have included scripts to automatically fetch and install an X server.
Alpine has <CODE>setup-xorg-base</CODE>, which adds the packages <CODE>xorg-server</CODE>, <CODE>xf86-input-libinput</CODE>, <CODE>eudev</CODE>, and <CODE>mesa</CODE>, and then enables the OpenRC services for udev.
</P>

<H3>Mail</H3>
<P>
The (formerly Mozilla) Thunderbird mail suite is a popular though maximal choice.
Claws Mail is a nice mail reader with a somewhat similar interface to Thunderbird but, in my experience, easier to use.
</P>

<H3>Media</H3>
<P>
<CODE>mpv(1)</CODE> and <CODE>vlc(1)</CODE> are good options.
</P>

<H3>Server</H3>

<H4>X.org</H4>
<UL>
	<LI><A HREF="X.org">https://www.x.org/</A></LI>
	<LI><A HREF="X.Org Server">https://en.wikipedia.org/wiki/X.Org_Server</A> (Wikipedia)</LI>
</UL>
<P>
The de-facto standard X server is X.org (available on the web at _literal_link(https://www.X.org)).
NetBSD uses X.org as the default system X server.
</P>
<P>
Arch Linux's package repositories have <CODE><A HREF="xorg">https://archlinux.org/groups/x86_64/xorg/</A></CODE>,
<CODE><A HREF="xorg-apps">https://archlinux.org/groups/x86_64/xorg-apps/</A></CODE>,
and <CODE><A HREF="xorg-drivers">https://archlinux.org/groups/x86_64/xorg-drivers/</A></CODE> package groups.
<A HREF="pkgsrc">#pkgsrc</A> has _code(`meta-pkgs/modular-xorg').
</P>
<H5><CODE>Failed to open /dev/input/event[<I>number</I>] (Permission denied)</CODE></H6>
	<P>You need to be a part of the <CODE>input</CODE> group to use X.org.</P>
<H5><CODE>Failed to open /dev/tty[<I>number</I>] (Permission denied)</CODE></H6>
	<P>You need to be a part of the <CODE>video</CODE> group to use X.org.</P>

<H3>Window Management</H3>
<P>
It's possible to make X <CODE>exec(3)</CODE> a window manager at the end of initialization to ease the creation, deletion, and manipulation of windows.
Contrary to what is now popular belief, window managers are not necessary (thought they're extremely convenient compared to the lack of them).
</P>
<H4>ctwm</H4>
<UL>
<LI><A HREF="https://datagubbe.se/twm/">Configurations for ctwm (and twm)</A></LI>
</UL>

<H3>Web Browsing</H3>
<H4>TOR Browser</H4>
<P>
TOR Browser is available through pkgsrc at <CODE>security/tor-browser</CODE>.
</P>

<H3>xinit(1)</H3>
<P>
<CODE>startx(1)</CODE> is usually included with <CODE>xinit(1)</CODE>.
</P>
<P>
On Alpine Linux, <CODE>xinit(1)</CODE> is provided by the <CODE>xinit</CODE> package.
On Arch Linux, <CODE>xinit(1)</CODE> is provided by <CODE><A HREF="xorg-xinit">https://archlinux.org/packages/extra/x86_64/xorg-xinit/</A></CODE>.
</P>
